Subject: Re: GDB core dump support for cygwin gives compilation failure!
From: Pierre Muller <[email-masked]>
To: Egor Duda <[email-masked]>
Cc: [email-masked]
Date: Tue, 29 Aug 2000 11:09:23 +0200

At 10:59 29/08/00 , Egor Duda wrote:
>Hi!
>
>Tuesday, 29 August, 2000 Pierre Muller [email-masked] wrote:
>
>>>PM>  I  can't  compile  GDB for cygwin anymore apparently since this
>>>'core dump PM> support' patch .
>>>
>>>[...]
>>>
>>>PM> I don't have a sys/procfs.h header in my includes !!
>>>PM> I installed it using the latest GUI setup program,
>>>PM> isn't that enough to be able to compile the GDB on CVS ??
>>>PM> What is missing in my installation ?
>>>
>>>the  answer  is  simple  --  sys/procfs.h  file is missing in includes
>>>directories. You have to get two files from sourceware cvs --
>>>winsup/cygwin/include/sys/procfs.h and
>>> winsup/cygwin/include/cygwin/core_dump.h
>
>PM>   Do you mean that adding the headers to my include dir would be enough ?
>PM>   Probably I also need a library that includes the functions defined 
>PM> inside those headers (unless they only contain type definitions)
>
>no, they don't contain any function prototypes. you can check them out
>or look at them via cvsweb and see.

 OK, it was enough to get GDB to compile again,
thanks a lot!

Pierre Muller
Institut Charles Sadron
6,rue Boussingault
F 67083 STRASBOURG CEDEX (France)
mailto:[email-masked]
Phone : (33)-3-88-41-40-07  Fax : (33)-3-88-41-40-99

--
Want to unsubscribe from this list?
Send a message to [email-masked]